# DataExchange
TKIGES
Geom2dToIGES

# Geom2dToIGES_Geom2dPoint Class Reference

This class implements the transfer of the Point Entity from Geom2d
to IGES . These are :
. 2dPoint
* 2dCartesianPoint
.

`#include <Geom2dToIGES_Geom2dPoint.hxx>`

Inheritance diagram for Geom2dToIGES_Geom2dPoint:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Geom2dToIGES_Geom2dPoint ()
Standard_EXPORT | Geom2dToIGES_Geom2dPoint (const Geom2dToIGES_Geom2dEntity &G2dE)
| Creates a tool Geom2dPoint ready to run and sets its fields as G2dE's. .
Standard_EXPORT Handle_IGESGeom_Point | Transfer2dPoint (const Handle(Geom2d_Point)&start)
| Transfert a Point from Geom to IGES. If this Entity could not be converted, this member returns a NullEntity. .
Standard_EXPORT Handle_IGESGeom_Point | Transfer2dPoint (const Handle(Geom2d_CartesianPoint)&start)
| Transfert a CartesianPoint from Geom to IGES. If this Entity could not be converted, this member returns a NullEntity. .

## Constructor & Destructor Documentation

Standard_EXPORT Geom2dToIGES_Geom2dPoint::Geom2dToIGES_Geom2dPoint | ( |  | ) |

Standard_EXPORT Geom2dToIGES_Geom2dPoint::Geom2dToIGES_Geom2dPoint | ( | const Geom2dToIGES_Geom2dEntity & | G2dE | ) |

## Member Function Documentation

void Geom2dToIGES_Geom2dPoint::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Geom2dToIGES_Geom2dEntity.

void* Geom2dToIGES_Geom2dPoint::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Geom2dToIGES_Geom2dEntity.

void* Geom2dToIGES_Geom2dPoint::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Geom2dToIGES_Geom2dEntity.

Standard_EXPORT Handle_IGESGeom_Point Geom2dToIGES_Geom2dPoint::Transfer2dPoint | ( | const Handle(Geom2d_CartesianPoint)& | start | ) |

Standard_EXPORT Handle_IGESGeom_Point Geom2dToIGES_Geom2dPoint::Transfer2dPoint | ( | const Handle(Geom2d_Point)& | start | ) |

The documentation for this class was generated from the following file:

- Geom2dToIGES_Geom2dPoint.hxx